---
- name: Setup node for use as a virtual cheaha node
  hosts: all
  become: true
  roles:
    - { name: 'cheaha.node', tags: 'cheaha.node' }
    - { name: 'nfs_mounts', tags: 'nfs_mounts', when: enable_nfs_mounts }
    - { name: 'ldap_config', tags: 'ldap_config' }
    - { name: 'slurm_client', tags: 'slurm_client', when: enable_slurm_client }
    - { name: 'ssh_host_keys', tags: 'ssh_host_keys' }
    - { name: 'ssh_proxy_config', tags: 'ssh_proxy_config', when: enable_ssh_proxy_config }
    - { name: 'ssl_cert', tags: 'ssl_cert', when: enable_ssl_certs }
    - { name: 'rsyslog_config', tags: 'rsyslog_config', when: enable_rsyslog_config }
    - { name: 'rewrite_map', tags: 'rewrite_map', when: enable_rewrite_map }
    - { name: 'fail2ban', tags: 'fail2ban', when: enable_fail2ban }
    - { name: 'install_node_exporter', tags: 'install_node_exporter', when: enable_node_exporter }
